MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027237Open CASCADE[OCCT] OCCT:Configurationpublic2016-03-09 14:242017-09-29 17:36
Reporterbugmaster 
Assigned Toabv 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027237: genproj file does not take into account any arguments
Descriptiongenproj file does not take into account any arguments but after usage get description:
usage: genproj [ -target=<TARGET> ] [ -path=<PATH> ]

    PATH:
      path to the project

    TARGET:
      vc8 - Visual Studio 2005
      vc9 - Visual Studio 2008
      vc10 - Visual Studio 2010
      vc11 - Visual Studio 2012
      vc12 - Visual Studio 2013
      vc14 - Visual Studio 2015
      cbp - CodeBlocks
      xcd - XCode
Steps To Reproducegenproj
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0051602)
git (administrator)
2016-03-14 18:06

Branch CR27237 has been created by abv.

SHA-1: 943fc78e48335efeb28475416e78f4b6a5b87f57


Detailed log of new commits:

Author: abv
Date: Mon Mar 14 17:45:32 2016 +0300

    0027237: genproj file does not take into account any arguments
    
    Arguments of genproj tool are revised:
    * -path option eliminated (current directory is always used);
    * IDE should be always indicated by first argument (instead of -target=<ide> option);
    * second argument can be used to specify non-default platform (wnt, mac, lin, ios, qnx);
    * option -h, -help, --help can be used to get help
    * option -static can be used to build static libs with XCode
    
    README.txt and docs on building are updated.
    codeblocks.bat is corrected to be able to detect 32-bit installation of Code::Blocks on 64-bit Windows.
    Remains of support of OpenCL (obsolete) are commented out in genconf.tcl
(0051603)
abv (manager)
2016-03-14 18:09

Fix pushed to CR23237 (note that this branch also includes several other fixes made over current master, prepared for OCCT 7.0); please review
(0051624)
git (administrator)
2016-03-15 12:24

Branch CR27237_1 has been created by abv.

SHA-1: 944d808cd012dc17986409f6d843a60d349310ef


Detailed log of new commits:

Author: abv
Date: Mon Mar 14 17:45:32 2016 +0300

    0027237: genproj file does not take into account any arguments
    
    Arguments of genproj tool are revised:
    * -path option eliminated (current directory is always used);
    * IDE should be always indicated by first argument (instead of -target=<ide> option);
    * second argument can be used to specify non-default platform (wnt, mac, lin, ios, qnx);
    * option -h, -help, --help can be used to get help
    * option -static can be used to build static libs with XCode
    
    README.txt and docs on building are updated.
    codeblocks.bat is corrected to be able to detect 32-bit installation of Code::Blocks on 64-bit Windows.
    Remains of support of OpenCL (obsolete) are commented out in genconf.tcl
    genproj.tcl will not copy env.bat if it already exists.
(0051627)
abv (manager)
2016-03-15 13:03

Please use branch CR27237_1 in OCCT Git, and CR27237 in Products Git
(0051685)
bugmaster (administrator)
2016-03-16 11:19

Fix has been tested on Windows, Linux and MacOS platform.
Behavior is correct
(0052820)
git (administrator)
2016-04-17 13:07

Branch CR27237 has been deleted by kgv.

SHA-1: 943fc78e48335efeb28475416e78f4b6a5b87f57
(0052821)
git (administrator)
2016-04-17 13:07

Branch CR27237_1 has been deleted by kgv.

SHA-1: 944d808cd012dc17986409f6d843a60d349310ef

- Related Changesets
occt: master 944d808c
Timestamp: 2016-03-14 14:45:32
Author: abv
Committer: abv
Details ] Diff ]
0027237: genproj file does not take into account any arguments

Arguments of genproj tool are revised:
* -path option eliminated (current directory is always used);
* IDE should be always indicated by first argument (instead of -target=<ide> option);
* second argument can be used to specify non-default platform (wnt, mac, lin, ios, qnx);
* option -h, -help, --help can be used to get help
* option -static can be used to build static libs with XCode

README.txt and docs on building are updated.
codeblocks.bat is corrected to be able to detect 32-bit installation of Code::Blocks on 64-bit Windows.
Remains of support of OpenCL (obsolete) are commented out in genconf.tcl
genproj.tcl will not copy env.bat if it already exists.
mod - adm/genconf.tcl Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]
mod - adm/templates/codeblocks.bat Diff ] File ]
mod - dox/dev_guides/building/code_blocks.md Diff ] File ]
mod - dox/dev_guides/building/xcode.md Diff ] File ]
mod - genproj Diff ] File ]
mod - genproj.bat Diff ] File ]
mod - README.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-09 14:24 bugmaster New Issue
2016-03-09 14:24 bugmaster Assigned To => abv
2016-03-14 18:06 git Note Added: 0051602
2016-03-14 18:09 abv Note Added: 0051603
2016-03-14 18:09 abv Assigned To abv => bugmaster
2016-03-14 18:09 abv Status new => resolved
2016-03-14 18:09 abv Steps to Reproduce Updated View Revisions
2016-03-15 12:24 git Note Added: 0051624
2016-03-15 13:03 abv Note Added: 0051627
2016-03-16 11:18 bugmaster Status resolved => reviewed
2016-03-16 11:19 bugmaster Note Added: 0051685
2016-03-16 11:19 bugmaster Status reviewed => tested
2016-03-21 14:58 abv Changeset attached => occt master 944d808c
2016-03-21 14:58 abv Assigned To bugmaster => abv
2016-03-21 14:58 abv Status tested => verified
2016-03-21 14:58 abv Resolution open => fixed
2016-04-17 13:07 git Note Added: 0052820
2016-04-17 13:07 git Note Added: 0052821
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed
2017-09-29 17:36 aiv Project OCCT => Open CASCADE


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker